## MacPorts-2.0.0.tar.gz

=== src/cflib1.0/Makefile ===
OBJS=		CFLib.o
SHLIB_NAME=	CFLib${SHLIB_SUFFIX}
LIBS+=		-framework CoreFoundation
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/cflib1.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

=== src/registry2.0/Makefile ===
# $Id: Makefile 79856 2011-06-28 10:08:28Z afb@macports.org $

SRCS = registry.tcl registry_autoconf.tcl registry_util.tcl receipt_flat.tcl receipt_sqlite.tcl portimage.tcl portuninstall.tcl
OBJS = registry.o util.o \
	entry.o entryobj.o \
	../cregistry/cregistry.a
	#graph.o graphobj.o

SHLIB_NAME= registry${SHLIB_SUFFIX}
INSTALLDIR= ${DESTDIR}${datadir}/macports/Tcl/registry2.0

include ../../Mk/macports.autoconf.mk
include ../../Mk/macports.tea.mk

pkgIndex.tcl: $(SRCS)

CFLAGS+=	${SQLITE3_CFLAGS}
LIBS+=	${SQLITE3_LIBS}

.PHONY: test

test:: ${SHLIB_NAME}
	${TCLSH} tests/entry.tcl ./${SHLIB_NAME}
	${TCLSH} tests/depends.tcl ./${SHLIB_NAME}

distclean:: clean
	rm -f registry_autoconf.tcl

install:: all
	[ ! -d $(DESTDIR)${datadir}/macports/Tcl/registry1.0 ] || rm -vrf $(DESTDIR)${datadir}/macports/Tcl/registry1.0
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 ${SHLIB_NAME} ${INSTALLDIR}
	$(SILENT) set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}/$$file; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

=== tests/test/trace/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port clean > /dev/null
	@touch delete-trace
	@touch rename-trace
	@mkdir -p rmdir-trace
	@rm -f create-trace
	@rm -f create-trace-modenv
	@rm -rf mkdir-trace
	@rm -f /tmp/hello-trace
	@rm -f link-trace
	@ln -s /usr/include/unistd.h /tmp/link-trace2
	@PORTSRC=$(PORTSRC) $(bindir)/port -t test > output 2>&1 || (cat output; exit 1)
	@rm -f link-trace
	@rm -f /tmp/link-trace2
	@rm -f delete-trace
	@rm -f rename-trace
	@rm -f rename-new-trace
	@rm -f create-trace
	@rm -f create-trace-modenv
	@rm -rf mkdir-trace
	@rm -rf rmdir-trace
	@rm -f /tmp/hello-trace
	@sed -e "s|${PWD}|PWD|g" < output > output.sed
	@diff -u master output.sed 2>&1 | tee difference
	@if [ -s difference ]; then \
		exit 1; \
	else \
		rm -f difference output.sed; \
	fi

=== tests/test/trace/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		trace
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for -t
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	catch {system "touch create-trace"}
	catch {system "rm delete-trace"}
	system "touch /tmp/hello-trace"
	system "rm /tmp/hello-trace"
	system "ln -s /usr/include/ link-trace"
	system "rm /tmp/link-trace2"
	catch {system "mkdir mkdir-trace"}
	catch {system "rmdir rmdir-trace"}
	catch {system "mv rename-trace rename-new-trace"}
	catch {system "DYLD_INSERT_LIBRARIES= touch create-trace-modenv"}
	system "mkdir -p /usr/bin"
}
